List the source lists
GEThttps://api.dilisense.com/v1/getSourceList
The getSourceList API method returns all lists that are part of the dilisense database. This call can be used to identify the relevant lists that should be passed in the includes parameter for the other API method calls.
By default you will get the sources that are included for your API key, which are the default sources plus the additional ones for which your key was enabled. Call the endpoint with scope=all to see the full catalogue and which of its sources your key includes. Please check https://dilisense.com/en/sources/additional-sources for the list of non-default sources and send us a request to get them enabled.
The response is signed, see the x-dilisense-signature header.
Request
Responses
- 200
Error responses are the same for all endpoints, see Errors.
Example
Request
curl --location --request GET 'https://api.dilisense.com/v1/getSourceList' \
--header 'x-api-key: <api_key>'
Response
[
{
"source": "af_african_development_bank_debarred_entities",
"name": "Debarred Entities",
"description": "The African Development Bank Group have imposed sanctions on entities found to have participated in fraudulent practices and are therefore ineligible to participate in contracts financed or administered by the African Development Bank Group.",
"link": "https://www.afdb.org/en/projects-operations/debarment-and-sanctions-procedures",
"source_type": "sanction",
"region": "international",
"country_code": "xx",
"country_name": "Africa",
"issuer_name": "African Development Bank",
"size": 1013
},
{
"source": "na_sa_idb_sanctioned_firms_and_individuals",
"name": "Sanctioned Firms and Individuals",
"description": "The Inter-American Development Bank have sanctioned firms and individuals for engaging in fraudulent, corrupt, collusive, coercive or obstructive practices, in violation of the IDB Group’s Sanctions Procedures and anti-corruption policies.",
"link": "https://www.iadb.org/en/transparency/sanctioned-firms-and-individuals",
"source_type": "sanction",
"region": "international",
"country_code": "xx",
"country_name": "America",
"issuer_name": "Inter-American Development Bank",
"size": 1007
},
{
"source": "as_asia_development_bank",
"name": "Sanction List",
"description": "The Asian Development Bank have imposed sanctions on entities who violated the sanctions while ineligible; entities who committed second and subsequent violations; debarred entities who are uncontactable; and cross debarred entities.",
"link": "http://lnadbg4.adb.org/oga0009p.nsf/sancALLPublic?OpenView&count=999",
"source_type": "sanction",
"region": "international",
"country_code": "xx",
"country_name": "Asia",
"issuer_name": "Asian Development Bank",
"size": 1282
},
{
"source": "ar_repet_personas_y_entidades",
"name": "Registro Público de Personas y Entidades",
"description": "The Argentine Ministry of Justice and Human Rights publishes a list of people and organizations related to terrorist attacks and their funding, also known as Registro Público de Personas y Entidades vinculadas a actos de Terrorismo y su Financiamiento.",
"link": "https://repet.jus.gob.ar/",
"source_type": "sanction",
"region": "americas",
"country_code": "ar",
"country_name": "Argentina",
"issuer_name": "RePET",
"size": 578
},
{
"source": "au_australian_department_of_foreign_affairs_and_trade_sanction_list",
"name": "Consolidated List",
"description": "The Department of Foreign Affairs and Trade of Australia (DFAT) have imposed financial sanctions and travel bans on persons and entities to which the Charter of the United Nations Act 1945 and the Autonomous Sanctions Act 2011 currently applies.",
"link": "https://www.dfat.gov.au/international-relations/security/sanctions/consolidated-list",
"source_type": "sanction",
"region": "apac",
"country_code": "au",
"country_name": "Australia",
"issuer_name": "Department of Foreign Affairs and Trade",
"size": 3214
}
]